Get v10chainestimation
Query Parameters
A slippage constraint (in %) is a safeguard during swaps (on both source and destination chains, if applicable). It is also used to calculate the minimum possible outcome during estimation. This property can be set to "auto" so that the API will suggest the best possible slippage.
Amount of the target asset the market maker expects to receive upon order fulfillment. This property can be set to "auto" so that the API will suggest the best possible outcome of the order based on current market conditions and the protocol fees, keeping the order in a reasonable-to-fulfill state
The share of the input amount to be distributed to the affiliateFeeRecipient (if given) address as an affiliate fee.
If you are building on top of deSwap, you might want to take a small fee relative to the amount of a token a user provides for a swap. To achieve this, set this parameter to a desired % (e.g. 0.1 stands for 0.1%; the max value is 10 which stands for 10% of srcAmountInParam) and specify your wallet address in the affiliateFeeRecipient parameter.
For example, setting this parameter to 0.1 means that when the user gives 5000 USDT then you will receive 5 USDT immediately after transaction is being confirmed.